Package org.linphone.core

# Interface EventLog

public interface EventLog
Object that represents an event that must be stored in database.
For example, all chat related events are wrapped in an `EventLog`, and
many callbacks use this kind of type as parameter.
Use `getType()` to get the `EventLog.Type` it refers to, and then you can use
one of the accessor methods to get the underlying object, for example `getChatMessage()`
for a `ChatMessage`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`EventLog.SecurityEventType`
`static enum`
`EventLog.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteFromDatabase()`
Delete event log from database.
`CallLog`
`getCallLog()`
Returns the call log of a conference call event.
`ChatMessage`
`getChatMessage()`
Returns the chat message of a conference chat message event.
`ConferenceInfo`
`getConferenceInfo()`
Returns the conference info of a conference call event.
`long`
`getCreationTime()`
Returns the creation time of a event log.
`Address`
`getDeviceAddress()`
Returns the device address of a conference participant device event.
`long`
`getEphemeralMessageLifetime()`
Returns the ephemeral message lifetime of a conference ephemeral message event.
`Address`
`getLocalAddress()`
Returns the local address of a conference event.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`int`
`getNotifyId()`
Returns the notify id of a conference notified event.
`Address`
`getParticipantAddress()`
Returns the participant address of a conference participant event.
`Address`
`getPeerAddress()`
Returns the peer address of a conference event.
`Address`
`getSecurityEventFaultyDeviceAddress()`
Returns the faulty device address of a conference security event.
`EventLog.SecurityEventType`
`getSecurityEventType()`
Returns the type of security event.
`String`
`getSubject()`
Returns the subject of a conference subject event.
`EventLog.Type`
`getType()`
Returns the type of a event log.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getCallLog

CallLog getCallLog()
Returns the call log of a conference call event.

Returns:
  The conference `CallLog`.

### getChatMessage

ChatMessage getChatMessage()
Returns the chat message of a conference chat message event.

Returns:
  The conference `ChatMessage`.

### getConferenceInfo

ConferenceInfo getConferenceInfo()
Returns the conference info of a conference call event.

Returns:
  The conference `ConferenceInfo`.

### getCreationTime

long getCreationTime()
Returns the creation time of a event log.

Returns:
  The event creation time

### getDeviceAddress

Address getDeviceAddress()
Returns the device address of a conference participant device event.

Returns:
  The conference device `Address`.

### getEphemeralMessageLifetime

long getEphemeralMessageLifetime()
Returns the ephemeral message lifetime of a conference ephemeral message event.
Ephemeral lifetime means the time before an ephemeral message which has been
viewed gets deleted.

Returns:
  The ephemeral message lifetime.

### getLocalAddress

Address getLocalAddress()
Returns the local address of a conference event.

Returns:
  The local `Address`.

### getNotifyId

int getNotifyId()
Returns the notify id of a conference notified event.

Returns:
  The conference notify id.

### getParticipantAddress

Address getParticipantAddress()
Returns the participant address of a conference participant event.

Returns:
  The conference participant `Address`.

### getPeerAddress

Address getPeerAddress()
Returns the peer address of a conference event.

Returns:
  The peer `Address`.

### getSecurityEventFaultyDeviceAddress

Address getSecurityEventFaultyDeviceAddress()
Returns the faulty device address of a conference security event.

Returns:
  The `Address` of the faulty device.

### getSecurityEventType

EventLog.SecurityEventType getSecurityEventType()
Returns the type of security event.

Returns:
  The `EventLog.SecurityEventType` type.

### getSubject

String getSubject()
Returns the subject of a conference subject event.

Returns:
  The conference subject.

### getType

EventLog.Type getType()
Returns the type of a event log.

Returns:
  The `EventLog.Type` type

### deleteFromDatabase

void deleteFromDatabase()
Delete event log from database.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`